#ifndef _ORDER_CANCEL_H_
#define _ORDER_CANCEL_H_
/*********************************************************************/
/*                                                                   */
/* IBM Confidential                                                  */
/*                                                                   */
/* Net.Commerce Source Materials                                     */
/*                                                                   */
/* (C) Copyright IBM Corp. 1996.                                     */
/*                                                                   */
/* The source code for this program is not published or otherwise    */
/* divested of its trade secrets, irrespective of what has been      */
/* deposited with the U.S. Copyright Office.                         */
/*                                                                   */
/*********************************************************************/

// To use this class template:
//  - Copy this file and its .cpp correspondant to files with your command name
//  - On both files, do a search on 'CommandOrderCancel' and replace with 'xxx' where xx is your command class name.
//  - Follow comments on each function to customize.

/////////////////////////////////////////////////////////////////////////////////////////////////////
// File:          order_cancel.h
// User Command : CommandOrderCancel.
//
/////////////////////////////////////////////////////////////////////////////////////////////////////
class __DLL_NCS_CMD__ CommandOrderCancel : public NC_Command
 {
   static ClassName _STR_ThisClass;

   OrderHome     _OrderHome;
   OrderItemHome _OrderItemHome;
  
   Order*         _Order;
  
   String _ShopperRefNum;
   String _OrderRefNum;

   public:

    CommandOrderCancel() : 
      _OrderHome(*(DataBaseManager::GetCurrentDataBase())),
      _OrderItemHome(*(DataBaseManager::GetCurrentDataBase())),
      _Order(NULL),
      _ShopperRefNum(), _OrderRefNum()
      { }
    ~CommandOrderCancel();
    void  operator delete( void* p ) { ::delete p; }

   public:
    virtual bool CheckParameters(const HttpRequest& Req, HttpResponse& Res,
                                 NC_Environment& Env, NC_Environment& Resources);
    virtual bool Process        (const HttpRequest& Req, HttpResponse& Res, NC_Environment& Env);
 };

#endif


