/****************************************************************************************/
/*                                                                                      */
/* IBM Confidential                                                                     */
/*                                                                                      */
/* Net.Commerce Source Materials                                                        */
/*                                                                                      */
/* (C) Copyright IBM Corp. 1996, 1997.                                                  */
/*                                                                                      */
/* The source code for this program is not published or otherwise divested of its trade */
/* secrets, irrespective of what has been deposited with the U.S. Copyright Office.     */
/*                                                                                      */
/****************************************************************************************/

#ifndef _ORDERITEM_DISPLAY_H_
#define _ORDERITEM_DISPLAY_H_

/////////////////////////////////////////////////////////////////////////////////////////////////////
//
// User Command : CommandOrderItemDisplay.
//
/////////////////////////////////////////////////////////////////////////////////////////////////////
class __DLL_NCS_CMD__ CommandOrderItemDisplay : public NC_Command
{
   static const ClassName _STR_ThisClass;

public:
   CommandOrderItemDisplay() : _merchant_rn(""), _addr_rn("") { }
   ~CommandOrderItemDisplay() { }

   void  operator delete( void* p ) { ::delete p; }

public:
   virtual bool CheckParameters( const HttpRequest& Req, 
                                 HttpResponse& Res,
                                 NC_Environment& Env, 
                                 NC_Environment& Resources );
   virtual bool Process( const HttpRequest& Req,
                         HttpResponse& Res, 
                         NC_Environment& Env );

private:
   // Url Name Value Pairs:
   String _merchant_rn;
   String _addr_rn;
};

#endif
