/****************************************************************************************/
/*                                                                                      */
/* IBM Confidential                                                                     */
/*                                                                                      */
/* Net.Commerce Source Materials                                                        */
/*                                                                                      */
/* (C) Copyright IBM Corp. 1996, 1997.                                                  */
/*                                                                                      */
/* The source code for this program is not published or otherwise divested of its trade */
/* secrets, irrespective of what has been deposited with the U.S. Copyright Office.     */
/*                                                                                      */
/****************************************************************************************/

#ifndef _SETLOGLEVEL_H_
#define _SETLOGLEVEL_H_

//////////////////////////////////////////////////////////////////////////////////////////
//
// Control Command : CommandSetLogLevelAll.
//
//////////////////////////////////////////////////////////////////////////////////////////

class __DLL_NCS_CMD__ CommandSetLogLevelAll : public NC_Command
 {
   static ClassName _STR_ThisClass;

   public:
    CommandSetLogLevelAll() { }
    void  operator delete( void* p ) { ::delete p; }

   public:
    
    virtual bool CheckParameters(const HttpRequest& Req, HttpResponse& Res,
                                 NC_Environment& Env, NC_Environment& Resources);
    virtual bool Process        (const HttpRequest& Req, HttpResponse& Res, NC_Environment& Env);

 };


//////////////////////////////////////////////////////////////////////////////////////////
//
// Control Command : CommandSetLogLevel.
//
//////////////////////////////////////////////////////////////////////////////////////////

class __DLL_NCS_CMD__ CommandSetLogLevel : public NC_Command
 {
   static ClassName _STR_ThisClass;

   public:
    CommandSetLogLevel() { }
    void  operator delete( void* p ) { ::delete p; }

   public:

    // getters
    String getLogLevel() { return _LogLevel; }
    // setters
    void   setLogLevel(const String & LogLevel) { _LogLevel = LogLevel; }
    
    virtual bool CheckParameters(const HttpRequest& Req, HttpResponse& Res,
                                 NC_Environment& Env, NC_Environment& Resources);
    virtual bool Process        (const HttpRequest& Req, HttpResponse& Res, NC_Environment& Env);



   private:
       String _LogLevel;
 };


#endif
