////////////////////////////////////////////////////////////////////////
// Licensed Materials - Property of IBM
// 
// 5697-D24
// 
// (c)  Copyright  IBM Corp.  1998.      All Rights Reserved
// 
// US Government Users Restricted Rights - Use, duplication or 
// disclosure restricted by GSA ADP Schedule Contract with IBM Corp
//
////////////////////////////////////////////////////////////////////////
// the only reason for this singleton class is to break a circular dependency 
// between containers (nls() function) and notification system. 

#ifndef _NOTIF_MSG_H_
#define _NOTIF_MSG_H_

#if defined (WIN32)
 #if defined(__NOTIF_MSG_DLL_MAKE__)
   #define __DLL_NOTIF_MSG__ __declspec(dllexport) // Compiling a DLL, so all the classes in LDH_LIB have to be exported
 #else
   #define __DLL_NOTIF_MSG__ __declspec(dllimport) // Compiling something that uses the DLL, so all the classes have to be imported
 #endif
#elif defined(AIX) || defined(AS400)
   #define __DLL_NOTIF_MSG__
#endif




extern "C"
{
     bool  __DLL_NOTIF_MSG__ SendNotificationToMerchant(const String & Msg, const String * Merchant);
    
}

#endif
