delete from behavior;
delete from gl_behrate;

echo;
echo Adding explicit profiling behaviors;
echo;

insert into behavior (refnum, name, descpt) values (1,                                    'X_REMOVE_RATING',     'Explicit indication that shopper wants rating removed for the product.');

insert into behavior (refnum, name, descpt) values ((select max(refnum) from behavior)+1, 'X_VERY_PLEASED',      'Explicit indication that shopper is very pleased with the product.');

insert into behavior (refnum, name, descpt) values ((select max(refnum) from behavior)+1, 'X_PLEASED',           'Explicit indication that shopper is pleased with the product.');

insert into behavior (refnum, name, descpt) values ((select max(refnum) from behavior)+1, 'X_SATISFIED',         'Explicit indication that shopper is satisfied with the product.');

insert into behavior (refnum, name, descpt) values ((select max(refnum) from behavior)+1, 'X_NEUTRAL',           'Explicit indication that shopper is neither satisified nor dissatisfied with the product.');

insert into behavior (refnum, name, descpt) values ((select max(refnum) from behavior)+1, 'X_DISAPPOINTED',      'Explicit indication that shopper is disappointed by the product.');

commit;

