echo;
echo Adding implicit profiling behaviors;
echo;

delete from gl_behrate where (beh_rn in (select refnum from behavior where name in ('ClickOnProduct', 'AddInterestProduct', 'RemoveInterestProduct', 'OrderProduct')));

delete from behavior where (name in ('ClickOnProduct', 'AddInterestProduct', 'RemoveInterestProduct', 'OrderProduct'));

commit;

insert into behavior (refnum, name, descpt) values ((select max(refnum) from behavior)+1, 'ClickOnProduct',        'Indication that shopper has viewed a product.');

insert into behavior (refnum, name, descpt) values ((select max(refnum) from behavior)+1, 'AddInterestProduct',    'Indication that shopper has placed the product in his shopcart.');

insert into behavior (refnum, name, descpt) values ((select max(refnum) from behavior)+1, 'RemoveInterestProduct', 'Indication that shopper has removed the product from his shopcart.');

insert into behavior (refnum, name, descpt) values ((select max(refnum) from behavior)+1, 'OrderProduct',          'Indication that shopper has purchased the product.');

commit;

