delete from gl_behrate where (beh_rn in (select refnum from behavior where name in ('ClickOnProduct', 'AddInterestProduct', 'RemoveInterestProduct', 'OrderProduct')));
delete from behavior where (name in ('ClickOnProduct', 'AddInterestProduct', 'RemoveInterestProduct', 'OrderProduct'));

commit;

insert into behavior (refnum, name, descpt) 
 select max(refnum)+1, 'ClickOnProduct',        'Indication that shopper has viewed a product.' from behavior;

insert into behavior (refnum, name, descpt) 
 select max(refnum)+1, 'AddInterestProduct',    'Indication that shopper has placed the product in his shopcart.'  from behavior;

insert into behavior (refnum, name, descpt) 
 select max(refnum)+1, 'RemoveInterestProduct', 'Indication that shopper has removed the product from his shopcart.' from behavior;

insert into behavior (refnum, name, descpt) 
 select max(refnum)+1, 'OrderProduct',          'Indication that shopper has purchased the product.' from behavior;

commit;


