
delete from cmds where (NAME='RateProduct');
delete from cmds where (NAME='RecommendProduct');
delete from cmds where (NAME='RemoveProdRatings');

delete from task_mer_of where TASK_RN in (select tkrfnbr from tasks where tkname='GL_GET_REC_PROD');
delete from ofs where (NAME='GL_GetRecProd' and VERSION=1.0 and VENDOR='IBM' and PRODUCT='NC');
delete from task_mer_of where TASK_RN in (select tkrfnbr from tasks where tkname='GL_GET_REC_PROD_FR_LIST');

delete from tasks where (TKNAME='GL_GET_REC_PROD_FR_LIST');
delete from tasks where (TKNAME='GL_GET_REC_PROD');
delete from task_mer_of where TASK_RN in (select tkrfnbr from tasks where tkname='REC_PROD_DSP');
delete from task_mer_of where TASK_RN in (select tkrfnbr from tasks where tkname='GL_REMOVE_PROD_RATINGS');
delete from ofs where (NAME='GL_ProfileUpdAttr' and VERSION=1.0 and VENDOR='IBM' and PRODUCT='NC');
delete from tasks where (TKNAME='GL_REMOVE_PROD_RATINGS');
delete from task_mer_of where TASK_RN in (select tkrfnbr from tasks where tkname='PROFILE_UPD_PROD');

delete from tasks where (TKNAME='PROFILE_UPD_PROD');
delete from ofs where (NAME='GL_ProfileUpdProd' and VERSION=1.0 and VENDOR='IBM' and PRODUCT='NC');
delete from tasks where (TKNAME='REC_PROD_DSP');
delete from ofs where (NAME='GL_RemoveProdRatings' and VERSION=1.0 and VENDOR='IBM' and PRODUCT='NC');
delete from ofs where (NAME='GL_GetRecProdFrList' and VERSION=1.0 and VENDOR='IBM' and PRODUCT='NC');
delete from cmds where (NAME='EnterMerchant');
delete from cmds where (NAME='CrossSellMerchant');
delete from cmds where (NAME='PersonalizationCenter');
delete from cmds where (NAME='RatingHistory');
delete from tasks where (TKNAME='SELECT_UNRATED_PRODUCTS');
delete from tasks where (TKNAME='GET_RATING_HISTORY');
delete from ofs where (NAME='GL_ProfileSelectUnratedProd');
delete from ofs where (NAME='GL_GetRatingHistory');

commit;

insert into cmds (REFNUM, DLL_NAME, VENDOR, PRODUCT, NAME, VERSION, URL, EXPORT, DESCRIPTION) 
	select max(refnum)+1, 'pers_server_cmd.dll', 'IBM', 'NC', 'RateProduct', 1, 'RateProduct', 1, 'Explicit profiling.' from cmds;

insert into acc_mode (REFNUM, CMD_REFNUM, SSL, PROTECT) 
       select max(acc_mode.refnum) + 1, max(cmds.refnum), 0, 0 from acc_mode,cmds;

insert into cmds (REFNUM, DLL_NAME, VENDOR, PRODUCT, NAME, VERSION, URL, EXPORT, DESCRIPTION) 
	select max(refnum)+1, 'pers_server_cmd.dll', 'IBM', 'NC', 'RecommendProduct', 1, 'RecommendProduct', 1, 'Get list of recommended products' from cmds;
insert into acc_mode (REFNUM, CMD_REFNUM, SSL, PROTECT)
        select max(acc_mode.refnum) + 1, max(cmds.refnum), 0, 0 from acc_mode,cmds;

insert into cmds (REFNUM, DLL_NAME, VENDOR, PRODUCT, NAME, VERSION, URL, EXPORT, DESCRIPTION) 
	select max(refnum)+1, 'pers_server_cmd.dll', 'IBM', 'NC', 'RemoveProdRatings', 1, 'RemoveProdRatings', 1, 'Delete all ratings for a product when a product is removed from the database' from cmds;
insert into acc_mode (REFNUM, CMD_REFNUM, SSL, PROTECT)  
        select max(acc_mode.refnum) + 1, max(cmds.refnum), 1, 1 from acc_mode,cmds;

insert into tasks (TKRFNBR, TKNAME, TKCOMMENT, TKGROUP, TKSCOPE) 
    select max(TKRFNBR)+1, 'GL_GET_REC_PROD', 'Get recommended products list from GroupLens', 'PROCESS', 1 from tasks;

insert into ofs (REFNUM, DLL_NAME, VENDOR, PRODUCT, NAME, VERSION, DESCRIPTION)
    select max(REFNUM)+1, 'gl_server_api.dll', 'IBM', 'NC', 'GL_GetRecProd', 1, 'Get a list of recommended products from GroupLens' from ofs;


insert into tasks (TKRFNBR, TKNAME, TKCOMMENT, TKGROUP, TKSCOPE) 
    select max(TKRFNBR)+1, 'GL_GET_REC_PROD_FR_LIST', 'Get recommended products list from GroupLens given a list of products', 'PROCESS', 1 from tasks;

insert into ofs (REFNUM, DLL_NAME, VENDOR, PRODUCT, NAME, VERSION, DESCRIPTION)
    select (max(REFNUM)+1), 'gl_server_api.dll', 'IBM', 'NC', 'GL_GetRecProdFrList', 1, 'Get product recommendations only for products in a given list' from ofs;


insert into tasks (TKRFNBR, TKNAME, TKCOMMENT, TKGROUP, TKSCOPE) 
    select max(TKRFNBR)+1, 'REC_PROD_DSP', 'Display list of recommended products', 'VIEW', 1 from tasks;


insert into tasks (TKRFNBR, TKNAME, TKCOMMENT, TKGROUP, TKSCOPE) 
    select max(TKRFNBR)+1, 'GL_REMOVE_PROD_RATINGS', 'Remove ratings for a product', 'PROCESS', 1 from tasks;

insert into ofs (REFNUM, DLL_NAME, VENDOR, PRODUCT, NAME, VERSION, DESCRIPTION)
    select max(REFNUM)+1, 'gl_server_api.dll', 'IBM', 'NC', 'GL_RemoveProdRatings', 1, 'Remove a products ratings when the product is deleted' from ofs;


insert into tasks (TKRFNBR, TKNAME, TKCOMMENT, TKGROUP, TKSCOPE) 
   select max(TKRFNBR)+1, 'PROFILE_UPD_PROD', 'Add profiling data based on product attributes', 'PROCESS', 1 from tasks;

insert into ofs (REFNUM, DLL_NAME, VENDOR, PRODUCT, NAME, VERSION, DESCRIPTION)
    select max(REFNUM)+1, 'gl_server_api.dll', 'IBM', 'NC', 'GL_ProfileUpdProd', 1, 'Update GroupLens database for profiling info' from ofs;


insert into ofs (REFNUM, DLL_NAME, VENDOR, PRODUCT, NAME, VERSION, DESCRIPTION)
    select max(REFNUM)+1, 'gl_server_api.dll', 'IBM', 'NC', 'GL_ProfileUpdAttr', 1, 'Update GroupLens database for profiling info on a product attribute' from ofs;

commit;

insert into pool_cmd (POOL_RN, CMD_RN) 
  select pools.refnum, cmds.refnum from pools,cmds where pools.name='ncommerce' and cmds.name='RateProduct';
insert into pool_cmd (POOL_RN, CMD_RN)  
  select pools.refnum, cmds.refnum from pools,cmds where pools.name='ncommerce' and cmds.name='RecommendProduct';
insert into pool_cmd (POOL_RN, CMD_RN)  
  select pools.refnum, cmds.refnum from pools,cmds where pools.name='ncommerce' and cmds.name='RemoveProdRatings';

commit;

insert into cmds (REFNUM, DLL_NAME, VENDOR, PRODUCT, NAME, VERSION, URL, EXPORT, DESCRIPTION) 
	select max(REFNUM)+1, 'pers_server_cmd.dll', 'IBM', 'NC', 'EnterMerchant', 1, 'EnterMerchant', 1, 'Enter your store' from cmds;

insert into acc_mode (REFNUM, CMD_REFNUM, SSL, PROTECT) 
   select max(acc_mode.REFNUM)+1, max(cmds.refnum),0,0 from acc_mode, cmds;

insert into cmds (REFNUM, DLL_NAME, VENDOR, PRODUCT, NAME, VERSION, URL, EXPORT, DESCRIPTION) 
	select max(REFNUM)+1, 'pers_server_cmd.dll', 'IBM', 'NC', 'CrossSellMerchant', 1, 'CrossSellMerchant', 1, 'Cross sell related products' from cmds;

insert into acc_mode (REFNUM, CMD_REFNUM, SSL, PROTECT) 
   select max(acc_mode.REFNUM)+1, max(cmds.refnum),0,0 from acc_mode, cmds;

insert into cmds (REFNUM, DLL_NAME, VENDOR, PRODUCT, NAME, VERSION, URL, EXPORT, DESCRIPTION) 
	select max(REFNUM)+1, 'pers_server_cmd.dll', 'IBM', 'NC', 'PersonalizationCenter', 1, 'PersonalizationCenter', 1, 'Personalization Center for your store' from cmds;

insert into acc_mode (REFNUM, CMD_REFNUM, SSL, PROTECT) 
   select max(acc_mode.REFNUM)+1, max(cmds.refnum),0,0 from acc_mode, cmds;

insert into cmds (REFNUM, DLL_NAME, VENDOR, PRODUCT, NAME, VERSION, URL, EXPORT, DESCRIPTION) 
	select max(REFNUM)+1, 'pers_server_cmd.dll', 'IBM', 'NC', 'RatingHistory', 1, 'RatingHistory', 1, 'Rating History for your store' from cmds;

insert into acc_mode (REFNUM, CMD_REFNUM, SSL, PROTECT) 
   select max(acc_mode.REFNUM)+1, max(cmds.refnum),0,0 from acc_mode, cmds;

commit;


insert into tasks (TKRFNBR, TKNAME, TKCOMMENT, TKGROUP, TKSCOPE) 
    select max(TKRFNBR)+1, 'SELECT_UNRATED_PRODUCTS', 'Remove rated products from a given list', 'PROCESS', 1 from tasks;

insert into tasks (TKRFNBR, TKNAME, TKCOMMENT, TKGROUP, TKSCOPE) 
   select max(TKRFNBR)+1, 'GET_RATING_HISTORY', 'Get a list of all explicitly rated products and their ratings', 'PROCESS', 1 from tasks;

insert into ofs (REFNUM, DLL_NAME, VENDOR, PRODUCT, NAME, VERSION, DESCRIPTION)
    select max(REFNUM)+1, 'gl_server_api.dll', 'IBM', 'NC', 'GL_ProfileSelectUnratedProd', 1, 'Remove rated products from a given list' from ofs;

insert into ofs (REFNUM, DLL_NAME, VENDOR, PRODUCT, NAME, VERSION, DESCRIPTION)
    select max(REFNUM)+1, 'gl_server_api.dll', 'IBM', 'NC', 'GL_GetRatingHistory', 1, 'Get ratings from recommendation database' from ofs;

commit;

insert into pool_cmd (POOL_RN, CMD_RN) 
  select pools.refnum, cmds.refnum from pools,cmds where pools.name='ncommerce' and cmds.name='EnterMerchant';
insert into pool_cmd (POOL_RN, CMD_RN) 
  select pools.refnum, cmds.refnum from pools,cmds where pools.name='ncommerce' and cmds.name='CrossSellMerchant';
insert into pool_cmd (POOL_RN, CMD_RN) 
  select pools.refnum, cmds.refnum from pools,cmds where pools.name='ncommerce' and cmds.name='RatingHistory';
insert into pool_cmd (POOL_RN, CMD_RN) 
  select pools.refnum, cmds.refnum from pools,cmds where pools.name='ncommerce' and cmds.name='PersonalizationCenter';

commit;





