#ifndef _BROADCAST_H_
#define _BROADCAST_H_
/*********************************************************************/
/*                                                                   */
/* IBM Confidential                                                  */
/*                                                                   */
/* Net.Commerce Source Materials                                     */
/*                                                                   */
/* (C) Copyright IBM Corp. 1996.                                     */
/*                                                                   */
/* The source code for this program is not published or otherwise    */
/* divested of its trade secrets, irrespective of what has been      */
/* deposited with the U.S. Copyright Office.                         */
/*                                                                   */
/*********************************************************************/


/////////////////////////////////////////////////////////////////////////////////////////////////////
// File:          broadcast.h
// User Command : Broadcast.
//
/////////////////////////////////////////////////////////////////////////////////////////////////////

class __DLL_NCS_CMD__ CommandBroadcast : public NC_Command
 {
   static ClassName _STR_ThisClass;

     public:
	  CommandBroadcast()
      { }
    void  operator delete( void* p ) { ::delete p; }

   private:
    String  _MerRefNum;
	bool    _AddNewEmailFlag;
    String  _Url;
    String  _NewEmail;
    String  _OldEmail;

    virtual bool CheckParameters     (const HttpRequest& Req, HttpResponse& Res,
                                            NC_Environment& Env, NC_Environment& Resources);
    virtual bool Process             (const HttpRequest& Req, HttpResponse& Res, 
	                                        NC_Environment& Env);

    bool CommandBroadcast::AddNewEmail   ();
    bool CommandBroadcast::RemoveOldEmail();

 };

#endif


