/*-----------------------------------------------------------*/
/* IBM Confidential                                          */
/* OCO Source Materials                                      */
/* PID No. 5769-NC3                                */
/* (C) Copyright IBM Corp. 1997, 1998                        */
/*                                                           */
/* The source code for this program is not published or      */
/* otherwise divested of its trade secrets, irrespective of  */
/* what has been deposited with the U.S. Copyright Office.   */
/*                                                           */
/*-----------------------------------------------------------*/
/* Source File Name = colname400.h                           */
/*-----------------------------------------------------------*/

#ifndef _COLNAME400_H_
#define _COLNAME400_H_

// This file contains strip_tabnam function which is to be used in
// following files :
// nc_admin\src\commands\AddDefaultRoles.cpp
// nc_admin\src\commands\BuildFileSys.cpp
// nc_admin\src\commands\Merchant.cpp
// nc_admin\src\commands\MTax.cpp
// nc_server\src\objects\user.cpp
// nc_server\src\commands\access_cmds.cpp (3)
// nc_server\src\commands\m_setstorestate.cpp
// nc_server\src\commands\s_setstorestate.cpp


// For AS400,table-name qualified columns are not allowed for INSERT 
// and UPDATE statements

#if defined(AS400)
static
inline const char *strip_tabnam(const String& X)
{
  const char *pos = strchr( X.c_str(), '.' );
  if( pos == NULL ) {
     return ( X.c_str() );
  } else {
     return pos+1;
  }
}
#endif

#endif
