/****************************************************************************************/
/*                                                                                      */
/* IBM Confidential                                                                     */
/*                                                                                      */
/* Net.Commerce Source Materials                                                        */
/*                                                                                      */
/* (C) Copyright IBM Corp. 1996, 1997.                                                  */
/*                                                                                      */
/* The source code for this program is not published or otherwise divested of its trade */
/* secrets, irrespective of what has been deposited with the U.S. Copyright Office.     */
/*                                                                                      */
/****************************************************************************************/

#ifndef _ORDERITEM_PROCESS_H_
#define _ORDERITEM_PROCESS_H_

/////////////////////////////////////////////////////////////////////////////////////////////////////
//
// User Command : CommandOrderItemProcess.
//
/////////////////////////////////////////////////////////////////////////////////////////////////////
class __DLL_NCS_CMD__ CommandOrderItemProcess : public NC_Command
{
   static const ClassName _STR_ThisClass;

public:
   CommandOrderItemProcess() : _addr_rn(), _shipmode_rn(), _comment(), _field1(), _field2() { }
   ~CommandOrderItemProcess() {  }

   void  operator delete( void* p ) { ::delete p; }

public:
   virtual bool CheckParameters( const HttpRequest& Req, 
                                 HttpResponse& Res,
                                 NC_Environment& Env, 
                                 NC_Environment& Resources );
   virtual bool Process( const HttpRequest& Req,
                         HttpResponse& Res, 
                         NC_Environment& Env );

private:
   // Url Name Value Pairs:
   String _addr_rn;
   String _shipmode_rn;
   String _comment;
   String _field1;
   String _field2;
};

#endif
