/****************************************************************************************/
/*                                                                                      */
/* IBM Confidential                                                                     */
/*                                                                                      */
/* Net.Commerce Source Materials                                                        */
/*                                                                                      */
/* (C) Copyright IBM Corp. 1996, 1997.                                                  */
/*                                                                                      */
/* The source code for this program is not published or otherwise divested of its trade */
/* secrets, irrespective of what has been deposited with the U.S. Copyright Office.     */
/*                                                                                      */
/****************************************************************************************/

#ifndef _REFRESH_H_
#define _REFRESH_H_


//////////////////////////////////////////////////////////////////////////////////////////
//
// Control Command : CommandRefreshAll.
//
//////////////////////////////////////////////////////////////////////////////////////////

class __DLL_NCS_CMD__ CommandRefreshAll : public NC_Command
 {
   static ClassName _STR_ThisClass;

   public:
    CommandRefreshAll() { }
    void  operator delete( void* p ) { ::delete p; }

   public:
    virtual bool Initialize(void);
    virtual bool CheckParameters(const HttpRequest& Req, HttpResponse& Res,
                                 NC_Environment& Env, NC_Environment& Resources);
    virtual bool Process        (const HttpRequest& Req, HttpResponse& Res, NC_Environment& Env);
 };

//////////////////////////////////////////////////////////////////////////////////////////
//
// Control Command : CommandRefresh.
//
//////////////////////////////////////////////////////////////////////////////////////////

class __DLL_NCS_CMD__ CommandRefresh : public NC_Command
 {
   static ClassName _STR_ThisClass;

   public:
    CommandRefresh() { }
    void  operator delete( void* p ) { ::delete p; }

   public:
    virtual bool Initialize(void);
    virtual bool CheckParameters(const HttpRequest& Req, HttpResponse& Res,
                                 NC_Environment& Env, NC_Environment& Resources);
    virtual bool Process        (const HttpRequest& Req, HttpResponse& Res, NC_Environment& Env);
 };


#endif


