#!/bin/ksh

if [ $# -lt 2 ]; then
echo
echo " Command Syntax "
echo "   cross-sell.sh <server name> <mode> "
echo "   server_name:   encoded server name of the root to use (e.g bind:prod:prod:localhost) "
echo "   mode:          specify netperception module type"
echo
exit 2
fi

echo
echo "Adding Cross-sell data"
echo

echo "Add ratings for cross-sell"

echo "Cross sell Caual pants with T-shirt and V-neck sweater"
addrating -R $1 -M $2 -r fast_lookup_subject_rating_strategy_2066 30 1000000 1

addrating -R $1 -M $2 -r fast_lookup_object_rating_strategy_2066 39 1000000 1
addrating -R $1 -M $2 -r fast_lookup_object_rating_strategy_2066 33 1000000 1

echo "Cross sell Jogging shorts with T-shirt"
addrating -R $1 -M $2 -r fast_lookup_subject_rating_strategy_2066 31 1000001 1

addrating -R $1 -M $2 -r fast_lookup_object_rating_strategy_2066 39 1000001 1


echo "Cross sell Dress Pants with V-Neck Sweater and Crew neck Sweater "
addrating -R $1 -M $2 -r fast_lookup_subject_rating_strategy_2066 29 1000002 1

addrating -R $1 -M $2 -r fast_lookup_object_rating_strategy_2066 33 1000002 1
addrating -R $1 -M $2 -r fast_lookup_object_rating_strategy_2066 34 1000002 1


echo "Cross sell walking shorts with T-shirt"
addrating -R $1 -M $2 -r fast_lookup_subject_rating_strategy_2066 32 1000003 1

addrating -R $1 -M $2 -r fast_lookup_object_rating_strategy_2066 39 1000003 1


echo "Cross sell V-neck sweater with Dress pants and casual pants"
addrating -R $1 -M $2 -r fast_lookup_subject_rating_strategy_2066 33 1000004 1

addrating -R $1 -M $2 -r fast_lookup_object_rating_strategy_2066 30 1000004 1
addrating -R $1 -M $2 -r fast_lookup_object_rating_strategy_2066 29 1000004 1


echo Cross sell Crew neck Sweater with Dress pants and casual pants
addrating -R $1 -M $2 -r fast_lookup_subject_rating_strategy_2066 35 1000005 1

addrating -R $1 -M $2 -r fast_lookup_object_rating_strategy_2066 30 1000005 1
addrating -R $1 -M $2 -r fast_lookup_object_rating_strategy_2066 29 1000005 1

