/****************************************************************************************/
/*                                                                                      */
/* IBM Confidential                                                                     */
/*                                                                                      */
/* Net.Commerce Source Materials                                                        */
/*                                                                                      */
/* (C) Copyright IBM Corp. 1996, 1997.                                                  */
/*                                                                                      */
/* The source code for this program is not published or otherwise divested of its trade */
/* secrets, irrespective of what has been deposited with the U.S. Copyright Office.     */
/*                                                                                      */
/****************************************************************************************/

#ifndef _EXECTASK_H_
#define _EXECTASK_H_

/////////////////////////////////////////////////////////////////////////////////////////////////////
//
// User Command : CommandExecTask.
//
/////////////////////////////////////////////////////////////////////////////////////////////////////
class __DLL_NCS_CMD__ CommandExecTask : public NC_Command
{
   static ClassName _STR_ThisClass;

public:
   CommandExecTask() : _macro(NULL), _taskname(""), _block(""), _merchant("") { }
   void  operator delete( void* p ) { ::delete p; }

public:
    virtual bool CheckParameters(const HttpRequest& Req, HttpResponse& Res,
                                 NC_Environment& Env, NC_Environment& Resources);
    virtual bool Process        (const HttpRequest& Req, HttpResponse& Res, NC_Environment& Env);

private:
   Macro  *_macro;
   String _taskname;
   String _block;
   String _merchant;
};

#endif
