#ifndef _HELP_PCH_
#define _HELP_PCH_

/*********************************************************************/
/*                                                                   */
/* IBM Confidential                                                  */
/*                                                                   */
/* Net.Commerce Source Materials                                     */
/*                                                                   */
/* (C) Copyright IBM Corp. 1996.                                     */
/*                                                                   */
/* The source code for this program is not published or otherwise    */
/* divested of its trade secrets, irrespective of what has been      */
/* deposited with the U.S. Copyright Office.                         */
/*                                                                   */
/*********************************************************************/


/////////////////////////////////////////////////////////////////////////////////////////////////////
//
// User Command : CommandList.
//
/////////////////////////////////////////////////////////////////////////////////////////////////////
class __DLL_NCS_CMD__ CommandList : public NC_Command
 {
   static const ClassName _STR_ThisClass;

   public:
    CommandList() : _Shopper(NULL)  { }
    void  operator delete( void* p ) { ::delete p; }

   protected:
    User*   _Shopper;
    String  _Order;

   public:
    virtual bool CheckParameters(const HttpRequest& Req, HttpResponse& Res,
                                 NC_Environment& Env, NC_Environment& Resources);
    virtual bool Process        (const HttpRequest& Req, HttpResponse& Res, NC_Environment& Env);
 };




#endif


