/****************************************************************************************/
/*                                                                                      */
/* IBM Confidential                                                                     */
/*                                                                                      */
/* Net.Commerce Source Materials                                                        */
/*                                                                                      */
/* (C) Copyright IBM Corp. 1998.                                                        */
/*                                                                                      */
/* The source code for this program is not published or otherwise divested of its trade */
/* secrets, irrespective of what has been deposited with the U.S. Copyright Office.     */
/*                                                                                      */
/****************************************************************************************/

#ifndef _NP_CONFIGURATION_H_
#define _NP_CONFIGURATION_H_


//////////////////////////////////////////////////////////////////////////////////////////
//
//  Defines NP configuration parameters
//

#define LIKERT_DIMENSION_NAME "shopper_product_likert_"
#define INTEREST_DIMENSION_NAME "shopper_product_interest_"
#define LIKERT_PREDICTION_STRATEGY "shopper_likert_recommendation_strategy_"
#define INTEREST_PREDICTION_STRATEGY "shopper_interest_recommendation_strategy_"
#define LIKERT_RATING_STRATEGY "shopper_likert_rating_strategy_"
#define INTEREST_RATING_STRATEGY "shopper_interest_rating_strategy_"
#define FAST_LOOKUP_PREDICTION_STRATEGY "fast_lookup_recommendation_strategy_"
#define FAST_LOOKUP_SUBJECT_DIMENSION_NAME "fast_lookup_subject_" 
#define FAST_LOOKUP_OBJECT_DIMENSION_NAME "fast_lookup_object_" 

#endif

