#ifndef _ORDER_LIST_H_
#define _ORDER_LIST_H_

/*********************************************************************/
/*                                                                   */
/* IBM Confidential                                                  */
/*                                                                   */
/* Net.Commerce Source Materials                                     */
/*                                                                   */
/* (C) Copyright IBM Corp. 1996.                                     */
/*                                                                   */
/* The source code for this program is not published or otherwise    */
/* divested of its trade secrets, irrespective of what has been      */
/* deposited with the U.S. Copyright Office.                         */
/*                                                                   */
/*********************************************************************/


/////////////////////////////////////////////////////////////////////////////////////////////////////
//
// User Command : CommandOderList.
//
/////////////////////////////////////////////////////////////////////////////////////////////////////

class __DLL_NCS_CMD__ CommandOrderList : public NC_Command
 {
   static ClassName _STR_ThisClass;

   String _Status;
   String _MerchantRefNum;

   public:
    CommandOrderList() : _Status(_STR_EMPTY_), _MerchantRefNum(_STR_EMPTY_)  { }
    void  operator delete( void* p ) { ::delete p; }

   public:
    virtual bool CheckParameters(const HttpRequest& Req, HttpResponse& Res,
                                 NC_Environment& Env, NC_Environment& Resources);
    virtual bool Process        (const HttpRequest& Req, HttpResponse& Res, NC_Environment& Env);
 };


#endif


