#ifndef _ORDER_UNLOCK_H_
#define _ORDER_UNLOCK_H_
/*********************************************************************/
/*                                                                   */
/* IBM Confidential                                                  */
/*                                                                   */
/* Net.Commerce Source Materials                                     */
/*                                                                   */
/* (C) Copyright IBM Corp. 1996.                                     */
/*                                                                   */
/* The source code for this program is not published or otherwise    */
/* divested of its trade secrets, irrespective of what has been      */
/* deposited with the U.S. Copyright Office.                         */
/*                                                                   */
/*********************************************************************/


/////////////////////////////////////////////////////////////////////////////////////////////////////
// File:          order_unlock.h
// User Command : CommandOrderUnlock.
//
/////////////////////////////////////////////////////////////////////////////////////////////////////
class __DLL_NCS_CMD__ CommandOrderUnlock : public NC_Command
 {
   static ClassName _STR_ThisClass;

   OrderHome _OrderHome;
   Order*    _Order;

   public:
     CommandOrderUnlock() : 
      _OrderHome(*(DataBaseManager::GetCurrentDataBase())),
      _Order(NULL)
      { }

     ~CommandOrderUnlock();
     void  operator delete( void* p ) { ::delete p; }

   public:
    virtual bool CheckParameters(const HttpRequest& Req, HttpResponse& Res,
                                 NC_Environment& Env, NC_Environment& Resources);
    virtual bool Process        (const HttpRequest& Req, HttpResponse& Res, NC_Environment& Env);
 };

#endif


