#ifndef __NP_MSG_H__
#define __NP_MSG_H__

/*********************************************************************/
/* Licensed Materials - Property of IBM                              */
/*                                                                   */
/* 5697-D24                                                          */
/*                                                                   */
/* (c)  Copyright  IBM Corp.  1998, 1999.      All Rights Reserved   */
/*                                                                   */
/* US Government Users Restricted Rights - Use, duplication or       */
/* disclosure restricted by GSA ADP Schedule Contract with IBM Corp. */
/*********************************************************************/
///////////////////////////////////////////////////////////////////////////////////////////
// Debug messages that work with the cerr stream or Error objects.
///////////////////////////////////////////////////////////////////////////////////////////
//CreateDoubleMessageType(NPStatusMsg_API, StatusMsg, __DLL_MESSAGES__);
#define _MESSAGE_  extern const StatusMsg __DLL_MESSAGES__
   _MESSAGE_  _NP_ERR_NO_ORB;
   _MESSAGE_  _NP_ERR_BIND;
   _MESSAGE_  _NP_ERR_LOCATE_LIKERT_PREDICTION;
   _MESSAGE_  _NP_ERR_LOCATE_INTEREST_PREDICTION;
   _MESSAGE_  _NP_ERR_SET_DOMAIN_KEY;
   _MESSAGE_  _NP_DBG_NO_RECOMMENDATIONS;
   _MESSAGE_  _NP_ERR_PRE_BAD_PARAMS;
   _MESSAGE_  _NP_ERR_PRE_DOMAIN_MISMATCH;
   _MESSAGE_  _NP_ERR_PRE_SERVER_ERROR;
   _MESSAGE_  _NP_ERR_PRE_UNKWN_ERROR;
   _MESSAGE_  _NP_ERR_LOCATE_LIKERT_RATING;
   _MESSAGE_  _NP_ERR_LOCATE_INTEREST_RATING;
   _MESSAGE_  _NP_ERR_LOCATE_LIKERT_CONTAINER;
   _MESSAGE_  _NP_ERR_LOCATE_INTEREST_CONTAINER;
   _MESSAGE_  _NP_ERR_REMOVE_RATINGS;
   _MESSAGE_  _NP_SUCCESS_REMOVE_RATINGS;
   _MESSAGE_  _NP_ERR_ADD_RATINGS;
   _MESSAGE_  _NP_SUCCESS_ADD_RATINGS;
   _MESSAGE_  _NP_DBG_REMOVE_RATINGS;
   _MESSAGE_  _NP_ERR_REMOVE_BAD_PARAMS;
   _MESSAGE_  _NP_ERR_REMOVE_DOMAIN_MISMATCH;
   _MESSAGE_  _NP_ERR_REMOVE_SERVER_ERROR;
   _MESSAGE_  _NP_ERR_REMOVE_UNKWN_ERROR;
   _MESSAGE_  _NP_ERR_RETRIEVE_RATINGS;
   _MESSAGE_  _NP_ERR_NO_PRODUCTS_PURCHASED;
   _MESSAGE_  _NP_ERR_LOCATE_FASTLOOKUP_STRATEGY;
   _MESSAGE_  _NP_ERR_PERSONALIZATION_ENGINE;

#undef _MESSAGE_

#endif

