/*********************************************************************/
/*                                                                   */
/* IBM Confidential                                                  */
/*                                                                   */
/* Net.Commerce Source Materials                                     */
/*                                                                   */
/* (C) Copyright IBM Corp. 1996.                                     */
/*                                                                   */
/* The source code for this program is not published or otherwise    */
/* divested of its trade secrets, irrespective of what has been      */
/* deposited with the U.S. Copyright Office.                         */
/*                                                                   */
/*********************************************************************/

#include "messages/np_msg.pch"

///////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////
// Debug messages that work with the cdbg stream or Debug objects.
///////////////////////////////////////////////////////////////////////////////////////////
extern CatalogFile __DLL_MESSAGES__ np_server_msg("np_msg.cat");

#define _MESSAGE_  extern const StatusMsg __DLL_MESSAGES__
   _MESSAGE_  _NP_ERR_NO_ORB                     (&np_server_msg,NP0001S);
   _MESSAGE_  _NP_ERR_BIND                       (&np_server_msg,NP0002S);
   _MESSAGE_  _NP_ERR_LOCATE_LIKERT_PREDICTION   (&np_server_msg,NP0003S);
   _MESSAGE_  _NP_ERR_LOCATE_INTEREST_PREDICTION (&np_server_msg,NP0004S);
   _MESSAGE_  _NP_ERR_SET_DOMAIN_KEY             (&np_server_msg,NP0005S);
   _MESSAGE_  _NP_DBG_NO_RECOMMENDATIONS         (&np_server_msg,NP0006S);
   _MESSAGE_  _NP_ERR_PRE_BAD_PARAMS             (&np_server_msg,NP0007S);
   _MESSAGE_  _NP_ERR_PRE_DOMAIN_MISMATCH        (&np_server_msg,NP0008S);
   _MESSAGE_  _NP_ERR_PRE_SERVER_ERROR           (&np_server_msg,NP0009S);
   _MESSAGE_  _NP_ERR_PRE_UNKWN_ERROR            (&np_server_msg,NP0010S);
   _MESSAGE_  _NP_ERR_LOCATE_LIKERT_RATING       (&np_server_msg,NP0011S);
   _MESSAGE_  _NP_ERR_LOCATE_INTEREST_RATING     (&np_server_msg,NP0012S);
   _MESSAGE_  _NP_ERR_LOCATE_LIKERT_CONTAINER    (&np_server_msg,NP0013S);
   _MESSAGE_  _NP_ERR_LOCATE_INTEREST_CONTAINER  (&np_server_msg,NP0014S);
   _MESSAGE_  _NP_ERR_REMOVE_RATINGS             (&np_server_msg,NP0015S);
   _MESSAGE_  _NP_SUCCESS_REMOVE_RATINGS         (&np_server_msg,NP0016S);
   _MESSAGE_  _NP_ERR_ADD_RATINGS                (&np_server_msg,NP0017S);
   _MESSAGE_  _NP_SUCCESS_ADD_RATINGS            (&np_server_msg,NP0018S);
   _MESSAGE_  _NP_DBG_REMOVE_RATINGS             (&np_server_msg,NP0019S);
   _MESSAGE_  _NP_ERR_REMOVE_BAD_PARAMS          (&np_server_msg,NP0020S);
   _MESSAGE_  _NP_ERR_REMOVE_DOMAIN_MISMATCH     (&np_server_msg,NP0021S);
   _MESSAGE_  _NP_ERR_REMOVE_SERVER_ERROR        (&np_server_msg,NP0022S);
   _MESSAGE_  _NP_ERR_REMOVE_UNKWN_ERROR         (&np_server_msg,NP0023S);
   _MESSAGE_  _NP_ERR_RETRIEVE_RATINGS           (&np_server_msg,NP0024S);
   _MESSAGE_  _NP_ERR_NO_PRODUCTS_PURCHASED      (&np_server_msg,NP0025S);
   _MESSAGE_  _NP_ERR_LOCATE_FASTLOOKUP_STRATEGY (&np_server_msg,NP0026S);
   _MESSAGE_  _NP_ERR_PERSONALIZATION_ENGINE     (&np_server_msg,NP0027S);

#undef _MESSAGE_


