#! /bin/sh

echo "Copying files for the NetPerception integration kit "

echo "Installing the binary libraries"
cp ./bin/*.so /opt/IBMnetc/NetCommerce3/bin
cp ./bin/np_msg.cat /opt/IBMnetc/NetCommerce3/bin
chgrp other /opt/IBMnetc/NetCommerce3/bin/np_msg.cat
chown root /opt/IBMnetc/NetCommerce3/bin/np_msg.cat
chmod 444 /opt/IBMnetc/NetCommerce3/bin/np_msg.cat

echo "Installing message catalog file"
ln -fs /opt/IBMnetc/NetCommerce3/bin/np_msg.cat /usr/lib/locale/en_US/np_msg.cat



cp ./macro/en_US/ncadmin/storemgr/*.d2w /opt/IBMnetc/NetCommerce3/macro/en_US/ncadmin/storemgr/
cp ./macro/en_US/ncadmin/storemgr/*.d2w /opt/IBMnetc/NetCommerce3/macro/en_US/ncadmin/storemgr/
cp ./macro/en_US/demomall/*.* /opt/IBMnetc/NetCommerce3/macro/en_US/demomall/
cp ./macro/en_US/product/*.d2w /opt/IBMnetc/NetCommerce3/macro/en_US/product/

echo Installing HTML
cp ./html/en_US/demomall/* /opt/IBMnetc/NetCommerce3/html/en_US/demomall/

echo Installing database scripts
cp ./nc_schema/db2/*.* /opt/IBMnetc/NetCommerce3/nc_schema/db2/
cp ./nc_schema/db2/demomall/*.* /opt/IBMnetc/NetCommerce3/nc_schema/db2/demomall/
cp ./nc_schema/db2/sun/*.* /opt/IBMnetc/NetCommerce3/nc_schema/db2/sun/
cp ./nc_schema/oracle/*.* /opt/IBMnetc/NetCommerce3/nc_schema/oracle/
cp ./nc_schema/oracle/demomall/*.* /opt/IBMnetc/NetCommerce3/nc_schema/oracle/demomall/
cp ./nc_schema/oracle/sun/*.* /opt/IBMnetc/NetCommerce3/nc_schema/oracle/sun/

echo Installation complete

