REM Register merchants specific explicit profiling information
WHENEVER SQLERROR EXIT
set echo on


insert into gl_behrate (beh_rn, mer_rn, rating, r_level, enable) 
   select refnum,&1, 1, 0, 1 from behavior where name='X_REMOVE_RATING';
insert into gl_behrate (beh_rn, mer_rn, rating, r_level, enable) 
   select refnum,&1, 5, 22, 1 from behavior where name='X_VERY_PLEASED';
insert into gl_behrate (beh_rn, mer_rn, rating, r_level, enable) 
   select refnum, &1, 4, 22, 1 from behavior where name='X_PLEASED';
insert into gl_behrate (beh_rn, mer_rn, rating, r_level, enable) 
   select refnum, &1, 3, 22, 1 from behavior where name='X_SATISFIED';
insert into gl_behrate (beh_rn, mer_rn, rating, r_level, enable) 
   select refnum,&1, 2, 22, 1 from behavior where name='X_NEUTRAL';
insert into gl_behrate (beh_rn, mer_rn, rating, r_level, enable) 
   select refnum,&1, 1, 22, 1 from behavior where name='X_DISAPPOINTED';

commit;

REM Register Merchants specific implicit profileing information

insert into gl_behrate (beh_rn, mer_rn, rating, r_level, enable) 
   select refnum,&1, 2, 16, 1 from behavior where name='ClickOnProduct';
insert into gl_behrate (beh_rn, mer_rn, rating, r_level, enable) 
   select refnum,&1, 3, 18, 1 from behavior where name='AddInterestProduct';
insert into gl_behrate (beh_rn, mer_rn, rating, r_level, enable) 
   select refnum,&1, 3, 18, 1 from behavior where name='RemoveInterestProduct' ;
insert into gl_behrate (beh_rn, mer_rn, rating, r_level, enable) 
   select refnum,&1, 4, 20, 1 from behavior where name='OrderProduct';

commit;


REM Register merchants specific tasks and OFS 

insert into task_mer_of (TASK_RN, MERCHANT_RN, OF_RN) 
    select tkrfnbr, &1, refnum from tasks, ofs where tkname='GL_GET_REC_PROD' and name='GL_GetRecProd';

insert into task_mer_of (TASK_RN, MERCHANT_RN, OF_RN) 
    select tkrfnbr, &1 , refnum from tasks, ofs where tkname='GL_GET_REC_PROD_FR_LIST' and name='GL_GetRecProdFrList';

insert into task_mer_of (TASK_RN, MERCHANT_RN, OF_RN) 
    select tkrfnbr, &1 , refnum from tasks, ofs where tkname='REC_PROD_DSP' and name='TaskDisplay';

insert into macros (MARFNBR, MAMERNBR, MAFILENAME) 
    select tkrfnbr, &1, '/demomall/rcmnd1.d2w' from tasks where tkname='REC_PROD_DSP';

insert into task_mer_of (TASK_RN, MERCHANT_RN, OF_RN)  
    select tkrfnbr,&1 , refnum from tasks, ofs where tkname='GL_REMOVE_PROD_RATINGS' and name='GL_RemoveProdRatings';

insert into task_mer_of (TASK_RN, MERCHANT_RN, OF_RN) 
    select tkrfnbr, &1 , ofs.refnum from tasks, ofs where tkname='PROFILE_UPD_PROD' and name='GL_ProfileUpdProd';

insert into task_mer_of (TASK_RN, MERCHANT_RN, OF_RN) 
    select tkrfnbr, &1, ofs.refnum from tasks, ofs where tkname='SELECT_UNRATED_PRODUCTS' and ofs.name='GL_ProfileSelectUnratedProd';

insert into task_mer_of (TASK_RN, MERCHANT_RN, OF_RN) 
    select tkrfnbr, &1 , ofs.refnum from tasks, ofs where tkname='GET_RATING_HISTORY' and name='GL_GetRatingHistory';
commit;
exit;


