#ifndef _display_h_
#define _display_h_

/*********************************************************************/
/*                                                                   */
/* IBM Confidential                                                  */
/*                                                                   */
/* Net.Commerce Source Materials                                     */
/*                                                                   */
/* (C) Copyright IBM Corp. 1996.                                     */
/*                                                                   */
/* The source code for this program is not published or otherwise    */
/* divested of its trade secrets, irrespective of what has been      */
/* deposited with the U.S. Copyright Office.                         */
/*                                                                   */
/*********************************************************************/

/////////////////////////////////////////////////////////////////////////////////////////////////////
//
/////////////////////////////////////////////////////////////////////////////////////////////////////
class __DLL_NCS_CMD__ ProductDisplay : public NC_Command
 {
   static ClassName _STR_ThisClass;

   public:
    ProductDisplay () { }
    ~ProductDisplay();
    void  operator delete( void* p ) { ::delete p; }

   protected:
    String         _Merchant;
    String         _Product ;
    String         _Sku     ;
    HttpRequest    _Req     ;

   public:
    virtual bool Initialize(void);
    virtual bool CheckParameters(const HttpRequest& Req, HttpResponse& Res,
                                 NC_Environment& Env, NC_Environment& Resources);
    virtual bool Process        (const HttpRequest& Req, HttpResponse& Res, NC_Environment& Env);
 };



class __DLL_NCS_CMD__ CategoryDisplay : public NC_Command
 {
   static ClassName _STR_ThisClass;

   public:
    CategoryDisplay () { }
    ~CategoryDisplay();
    void  operator delete( void* p ) { ::delete p; }

   protected:
    String         _Merchant;
    String         _Category;
    String         _CategoryName ;
    HttpRequest    _Req     ;

   public:
	virtual bool Initialize(void);
    virtual bool CheckParameters(const HttpRequest& Req, HttpResponse& Res,
                                 NC_Environment& Env, NC_Environment& Resources);
    virtual bool Process        (const HttpRequest& Req, HttpResponse& Res, NC_Environment& Env);
 };


#endif

