/****************************************************************************************/
/*                                                                                      */
/* IBM Confidential                                                                     */
/*                                                                                      */
/* Net.Commerce Source Materials                                                        */
/*                                                                                      */
/* (C) Copyright IBM Corp. 1996, 1997.                                                  */
/*                                                                                      */
/* The source code for this program is not published or otherwise divested of its trade */
/* secrets, irrespective of what has been deposited with the U.S. Copyright Office.     */
/*                                                                                      */
/****************************************************************************************/

#ifndef _PRINT_H_
#define _PRINT_H_


//////////////////////////////////////////////////////////////////////////////////////////
//
// User Command : CommandUserPrint.
//
//////////////////////////////////////////////////////////////////////////////////////////
class __DLL_NCS_CMD__ CommandPrint : public NC_Command
{
   static ClassName _STR_ThisClass;

public:
   CommandPrint() { }
   ~CommandPrint() { }

   void operator delete( void* p ) { ::delete p; }

public:
   virtual bool CheckParameters( const HttpRequest& Req, 
                                 HttpResponse& Res,
                                 NC_Environment& Env, 
                                 NC_Environment& Resources );
   virtual bool Process( const HttpRequest& Req, HttpResponse& Res, NC_Environment& Env);
};


#endif


